Package org.apache.any23.vocab

## Class OGPProfile

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.OGPProfile

-     public class OGPProfile
      extends Vocabulary

  The Open Graph Protocol Profile Type vocabulary.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `NAMESPACE` |
    `static String` | `NS` |
    `static String` | `PROFILE__FIRST_NAME` | A name normally given to an individual by a parent or self-chosen.
    `static String` | `PROFILE__GENDER` | Their gender.
    `static String` | `PROFILE__LAST_NAME` | A name inherited from a family or marriage and by which the individual is commonly known.
    `static String` | `PROFILE__USERNAME` | A short unique string to identify them.
    `org.eclipse.rdf4j.model.IRI` | `profileFirstName` |
    `org.eclipse.rdf4j.model.IRI` | `profileGender` |
    `org.eclipse.rdf4j.model.IRI` | `profileLastName` |
    `org.eclipse.rdf4j.model.IRI` | `profileUsername` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OGPProfile` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### PROFILE__FIRST_NAME

          public static final String PROFILE__FIRST_NAME

      A name normally given to an individual by a parent or self-chosen.
      See Also:
        Constant Field Values

    - #### PROFILE__LAST_NAME

          public static final String PROFILE__LAST_NAME

      A name inherited from a family or marriage and by which the individual is commonly known.
      See Also:
        Constant Field Values

    - #### PROFILE__USERNAME

          public static final String PROFILE__USERNAME

      A short unique string to identify them.
      See Also:
        Constant Field Values

    - #### PROFILE__GENDER

          public static final String PROFILE__GENDER

      Their gender.
      See Also:
        Constant Field Values

    - #### NAMESPACE

          public final org.eclipse.rdf4j.model.IRI NAMESPACE

    - #### profileFirstName

          public final org.eclipse.rdf4j.model.IRI profileFirstName

    - #### profileLastName

          public final org.eclipse.rdf4j.model.IRI profileLastName

    - #### profileUsername

          public final org.eclipse.rdf4j.model.IRI profileUsername

    - #### profileGender

          public final org.eclipse.rdf4j.model.IRI profileGender

  - ### Method Detail

    - #### getInstance

          public static OGPProfile getInstance()